package at.linuxtage08.maven.helloworld;

import java.util.Properties;

public class Main {

	private static final String PROPERTY_NAME = "helloworld.name";
	private static final String PROPERTY_VERSION = "helloworld.version";
	private static final String PROPERTY_TARGET = "helloworld.target";
	
	public static void main(String[] args) {
		try {
			Properties p = new Properties();
			p.load(Main.class.getResourceAsStream("/helloworld.properties"));
			
			System.out.println("Hello world");
			System.out.println("This is '" + p.getProperty(PROPERTY_NAME) 
				+ "' version " + p.getProperty(PROPERTY_VERSION));
			System.out.println("Compiled and packaged for target '" + p.getProperty(PROPERTY_TARGET) + "'");
		} catch (Exception e) {
			System.err.println("D'oh!");
			e.printStackTrace(System.err);
		}
	}
}
